Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear

From: Stefan Kangas <[email-masked]>
Date: Mon, 17 Aug 2020 22:45:37 +0000

Steffan <[email-masked]> writes:

> Hello,
>
> the diacritics characters (harakat, short vowels of arabic) don't appear in windows. (In linux it works very fine)
>
> These are the unicode names:
> U+064B (1611)	‏ً‎	Arabisches Fathatan	ARABIC FATHATAN
> U+064C (1612)	‏ٌ‎	Arabisches Dammatan	ARABIC DAMMATAN
> U+064D (1613)	‏ٍ‎	Arabisches Kasratan	ARABIC KASRATAN
> U+064E (1614)	‏َ‎	Arabisches Fatha	ARABIC FATHA
> U+064F (1615)	‏ُ‎	Arabisches Damma	ARABIC DAMMA
> U+0650 (1616)	‏ِ‎	Arabisches Kasra	ARABIC KASRA
> U+0651 (1617)	‏ّ‎	Arabisches Schadda	ARABIC SHADDA
> U+0652 (1618)	‏ْ‎	Arabisches Sukun	ARABIC SUKUN
>
> All these characters doesn't appear. Or I can see them shortly if the cursor is on one of them.
>
> I've tried many fonts, but it doesn't work. These special characters are in the file, emacs don't loose them. If I copy the text to another editor, I can see them.
>
> Should I download other packages?

(That was 8 years ago.)

Do you still see this on a recent version of Emacs, such as the recently
released version 27.1?

Would this have been fixed by the recent addition of harfbuzz support?

Best regards,
Stefan Kangas